# gupnp_service_proxy_set_subscribed

(PECL gupnp >= 0.1.0)

gupnp_service_proxy_set_subscribed — (Un)subscribes to the service

### Description

gupnp_service_proxy_set_subscribed ( resource `$proxy` , bool `$subscribed` ) : bool

(Un)subscribes to the service.

### Parameters

`proxy`

  A service proxy identifier.

`subscribed`

  Set `TRUE` to subscribe to this service.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- gupnp_service_proxy_get_subscribed() - Check whether subscription is valid to the service